File:  [ELWIX - Embedded LightWeight unIX -] / embedaddon / libiconv / po / Makefile.in.in
Revision 1.1.1.3 (vendor branch): download - view: text, annotated - select for diffs - revision graph
Wed Mar 17 13:38:46 2021 UTC (3 years, 4 months ago) by misho
Branches: libiconv, MAIN
CVS tags: v1_16p0, HEAD
libiconv 1.16

    1: # Makefile for PO directory in any package using GNU gettext.
    2: # Copyright (C) 1995-1997, 2000-2007, 2009-2010 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
    3: #
    4: # Copying and distribution of this file, with or without modification,
    5: # are permitted in any medium without royalty provided the copyright
    6: # notice and this notice are preserved.  This file is offered as-is,
    7: # without any warranty.
    8: #
    9: # Origin: gettext-0.19.8
   10: GETTEXT_MACRO_VERSION = 0.19
   11: 
   12: PACKAGE = @PACKAGE@
   13: VERSION = @VERSION@
   14: PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
   15: 
   16: SED = @SED@
   17: SHELL = @SHELL@
   18: @SET_MAKE@
   19: 
   20: srcdir = @srcdir@
   21: top_srcdir = @top_srcdir@
   22: VPATH = @srcdir@
   23: 
   24: prefix = @prefix@
   25: exec_prefix = @exec_prefix@
   26: datarootdir = @datarootdir@
   27: datadir = @datadir@
   28: localedir = @localedir@
   29: gettextsrcdir = $(datadir)/gettext/po
   30: 
   31: INSTALL = @INSTALL@
   32: INSTALL_DATA = @INSTALL_DATA@
   33: 
   34: # We use $(mkdir_p).
   35: # In automake <= 1.9.x, $(mkdir_p) is defined either as "mkdir -p --" or as
   36: # "$(mkinstalldirs)" or as "$(install_sh) -d". For these automake versions,
   37: # @install_sh@ does not start with $(SHELL), so we add it.
   38: # In automake >= 1.10, @mkdir_p@ is derived from ${MKDIR_P}, which is defined
   39: # either as "/path/to/mkdir -p" or ".../install-sh -c -d". For these automake
   40: # versions, $(mkinstalldirs) and $(install_sh) are unused.
   41: mkinstalldirs = $(SHELL) @install_sh@ -d
   42: install_sh = $(SHELL) @install_sh@
   43: MKDIR_P = @MKDIR_P@
   44: mkdir_p = @mkdir_p@
   45: 
   46: # When building gettext-tools, we prefer to use the built programs
   47: # rather than installed programs.  However, we can't do that when we
   48: # are cross compiling.
   49: CROSS_COMPILING = @CROSS_COMPILING@
   50: 
   51: GMSGFMT_ = @GMSGFMT@
   52: GMSGFMT_no = @GMSGFMT@
   53: GMSGFMT_yes = @GMSGFMT_015@
   54: GMSGFMT = $(GMSGFMT_$(USE_MSGCTXT))
   55: MSGFMT_ = @MSGFMT@
   56: MSGFMT_no = @MSGFMT@
   57: MSGFMT_yes = @MSGFMT_015@
   58: MSGFMT = $(MSGFMT_$(USE_MSGCTXT))
   59: XGETTEXT_ = @XGETTEXT@
   60: XGETTEXT_no = @XGETTEXT@
   61: XGETTEXT_yes = @XGETTEXT_015@
   62: XGETTEXT = $(XGETTEXT_$(USE_MSGCTXT))
   63: MSGMERGE = msgmerge
   64: MSGMERGE_UPDATE = @MSGMERGE@ --update
   65: MSGINIT = msginit
   66: MSGCONV = msgconv
   67: MSGFILTER = msgfilter
   68: 
   69: POFILES = @POFILES@
   70: GMOFILES = @GMOFILES@
   71: UPDATEPOFILES = @UPDATEPOFILES@
   72: DUMMYPOFILES = @DUMMYPOFILES@
   73: DISTFILES.common = Makefile.in.in remove-potcdate.sin \
   74: $(DISTFILES.common.extra1) $(DISTFILES.common.extra2) $(DISTFILES.common.extra3)
   75: DISTFILES = $(DISTFILES.common) Makevars POTFILES.in \
   76: $(POFILES) $(GMOFILES) \
   77: $(DISTFILES.extra1) $(DISTFILES.extra2) $(DISTFILES.extra3)
   78: 
   79: POTFILES = \
   80: 
   81: CATALOGS = @CATALOGS@
   82: 
   83: POFILESDEPS_ = $(srcdir)/$(DOMAIN).pot
   84: POFILESDEPS_yes = $(POFILESDEPS_)
   85: POFILESDEPS_no =
   86: POFILESDEPS = $(POFILESDEPS_$(PO_DEPENDS_ON_POT))
   87: 
   88: DISTFILESDEPS_ = update-po
   89: DISTFILESDEPS_yes = $(DISTFILESDEPS_)
   90: DISTFILESDEPS_no =
   91: DISTFILESDEPS = $(DISTFILESDEPS_$(DIST_DEPENDS_ON_UPDATE_PO))
   92: 
   93: # Makevars gets inserted here. (Don't remove this line!)
   94: 
   95: .SUFFIXES:
   96: .SUFFIXES: .po .gmo .mo .sed .sin .nop .po-create .po-update
   97: 
   98: .po.mo:
   99: 	@echo "$(MSGFMT) -c -o $@ $<"; \
  100: 	$(MSGFMT) -c -o t-$@ $< && mv t-$@ $@
  101: 
  102: .po.gmo:
  103: 	@lang=`echo $* | sed -e 's,.*/,,'`; \
  104: 	test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
  105: 	echo "$${cdcmd}rm -f $${lang}.gmo && $(GMSGFMT) -c --statistics --verbose -o $${lang}.gmo $${lang}.po"; \
  106: 	cd $(srcdir) && rm -f $${lang}.gmo && $(GMSGFMT) -c --statistics --verbose -o t-$${lang}.gmo $${lang}.po && mv t-$${lang}.gmo $${lang}.gmo
  107: 
  108: .sin.sed:
  109: 	sed -e '/^#/d' $< > t-$@
  110: 	mv t-$@ $@
  111: 
  112: 
  113: all: all-@USE_NLS@
  114: 
  115: all-yes: stamp-po
  116: all-no:
  117: 
  118: # Ensure that the gettext macros and this Makefile.in.in are in sync.
  119: CHECK_MACRO_VERSION = \
  120: 	test "$(GETTEXT_MACRO_VERSION)" = "@GETTEXT_MACRO_VERSION@" \
  121: 	  || { echo "*** error: gettext infrastructure mismatch: using a Makefile.in.in from gettext version $(GETTEXT_MACRO_VERSION) but the autoconf macros are from gettext version @GETTEXT_MACRO_VERSION@" 1>&2; \
  122: 	       exit 1; \
  123: 	     }
  124: 
  125: # $(srcdir)/$(DOMAIN).pot is only created when needed. When xgettext finds no
  126: # internationalized messages, no $(srcdir)/$(DOMAIN).pot is created (because
  127: # we don't want to bother translators with empty POT files). We assume that
  128: # LINGUAS is empty in this case, i.e. $(POFILES) and $(GMOFILES) are empty.
  129: # In this case, stamp-po is a nop (i.e. a phony target).
  130: 
  131: # stamp-po is a timestamp denoting the last time at which the CATALOGS have
  132: # been loosely updated. Its purpose is that when a developer or translator
  133: # checks out the package via CVS, and the $(DOMAIN).pot file is not in CVS,
  134: # "make" will update the $(DOMAIN).pot and the $(CATALOGS), but subsequent
  135: # invocations of "make" will do nothing. This timestamp would not be necessary
  136: # if updating the $(CATALOGS) would always touch them; however, the rule for
  137: # $(POFILES) has been designed to not touch files that don't need to be
  138: # changed.
  139: stamp-po: $(srcdir)/$(DOMAIN).pot
  140: 	@$(CHECK_MACRO_VERSION)
  141: 	test ! -f $(srcdir)/$(DOMAIN).pot || \
  142: 	  test -z "$(GMOFILES)" || $(MAKE) $(GMOFILES)
  143: 	@test ! -f $(srcdir)/$(DOMAIN).pot || { \
  144: 	  echo "touch stamp-po" && \
  145: 	  echo timestamp > stamp-poT && \
  146: 	  mv stamp-poT stamp-po; \
  147: 	}
  148: 
  149: # Note: Target 'all' must not depend on target '$(DOMAIN).pot-update',
  150: # otherwise packages like GCC can not be built if only parts of the source
  151: # have been downloaded.
  152: 
  153: # This target rebuilds $(DOMAIN).pot; it is an expensive operation.
  154: # Note that $(DOMAIN).pot is not touched if it doesn't need to be changed.
  155: # The determination of whether the package xyz is a GNU one is based on the
  156: # heuristic whether some file in the top level directory mentions "GNU xyz".
  157: # If GNU 'find' is available, we avoid grepping through monster files.
  158: $(DOMAIN).pot-update: $(POTFILES) $(srcdir)/POTFILES.in remove-potcdate.sed
  159: 	package_gnu="$(PACKAGE_GNU)"; \
  160: 	test -n "$$package_gnu" || { \
  161: 	  if { if (LC_ALL=C find --version) 2>/dev/null | grep GNU >/dev/null; then \
  162: 		 LC_ALL=C find -L $(top_srcdir) -maxdepth 1 -type f \
  163: 			       -size -10000000c -exec grep 'GNU @PACKAGE@' \
  164: 			       /dev/null '{}' ';' 2>/dev/null; \
  165: 	       else \
  166: 		 LC_ALL=C grep 'GNU @PACKAGE@' $(top_srcdir)/* 2>/dev/null; \
  167: 	       fi; \
  168: 	     } | grep -v 'libtool:' >/dev/null; then \
  169: 	     package_gnu=yes; \
  170: 	   else \
  171: 	     package_gnu=no; \
  172: 	   fi; \
  173: 	}; \
  174: 	if test "$$package_gnu" = "yes"; then \
  175: 	  package_prefix='GNU '; \
  176: 	else \
  177: 	  package_prefix=''; \
  178: 	fi; \
  179: 	if test -n '$(MSGID_BUGS_ADDRESS)' || test '$(PACKAGE_BUGREPORT)' = '@'PACKAGE_BUGREPORT'@'; then \
  180: 	  msgid_bugs_address='$(MSGID_BUGS_ADDRESS)'; \
  181: 	else \
  182: 	  msgid_bugs_address='$(PACKAGE_BUGREPORT)'; \
  183: 	fi; \
  184: 	case `$(XGETTEXT) --version | sed 1q | sed -e 's,^[^0-9]*,,'` in \
  185: 	  '' | 0.[0-9] | 0.[0-9].* | 0.1[0-5] | 0.1[0-5].* | 0.16 | 0.16.[0-1]*) \
  186: 	    $(XGETTEXT) --default-domain=$(DOMAIN) --directory=$(top_srcdir) \
  187: 	      --add-comments=TRANSLATORS: $(XGETTEXT_OPTIONS) @XGETTEXT_EXTRA_OPTIONS@ \
  188: 	      --files-from=$(srcdir)/POTFILES.in \
  189: 	      --copyright-holder='$(COPYRIGHT_HOLDER)' \
  190: 	      --msgid-bugs-address="$$msgid_bugs_address" \
  191: 	    ;; \
  192: 	  *) \
  193: 	    $(XGETTEXT) --default-domain=$(DOMAIN) --directory=$(top_srcdir) \
  194: 	      --add-comments=TRANSLATORS: $(XGETTEXT_OPTIONS) @XGETTEXT_EXTRA_OPTIONS@ \
  195: 	      --files-from=$(srcdir)/POTFILES.in \
  196: 	      --copyright-holder='$(COPYRIGHT_HOLDER)' \
  197: 	      --package-name="$${package_prefix}@PACKAGE@" \
  198: 	      --package-version='@VERSION@' \
  199: 	      --msgid-bugs-address="$$msgid_bugs_address" \
  200: 	    ;; \
  201: 	esac
  202: 	test ! -f $(DOMAIN).po || { \
  203: 	  if test -f $(srcdir)/$(DOMAIN).pot-header; then \
  204: 	    sed -e '1,/^#$$/d' < $(DOMAIN).po > $(DOMAIN).1po && \
  205: 	    cat $(srcdir)/$(DOMAIN).pot-header $(DOMAIN).1po > $(DOMAIN).po; \
  206: 	    rm -f $(DOMAIN).1po; \
  207: 	  fi; \
  208: 	  if test -f $(srcdir)/$(DOMAIN).pot; then \
  209: 	    sed -f remove-potcdate.sed < $(srcdir)/$(DOMAIN).pot > $(DOMAIN).1po && \
  210: 	    sed -f remove-potcdate.sed < $(DOMAIN).po > $(DOMAIN).2po && \
  211: 	    if cmp $(DOMAIN).1po $(DOMAIN).2po >/dev/null 2>&1; then \
  212: 	      rm -f $(DOMAIN).1po $(DOMAIN).2po $(DOMAIN).po; \
  213: 	    else \
  214: 	      rm -f $(DOMAIN).1po $(DOMAIN).2po $(srcdir)/$(DOMAIN).pot && \
  215: 	      mv $(DOMAIN).po $(srcdir)/$(DOMAIN).pot; \
  216: 	    fi; \
  217: 	  else \
  218: 	    mv $(DOMAIN).po $(srcdir)/$(DOMAIN).pot; \
  219: 	  fi; \
  220: 	}
  221: 
  222: # This rule has no dependencies: we don't need to update $(DOMAIN).pot at
  223: # every "make" invocation, only create it when it is missing.
  224: # Only "make $(DOMAIN).pot-update" or "make dist" will force an update.
  225: $(srcdir)/$(DOMAIN).pot:
  226: 	$(MAKE) $(DOMAIN).pot-update
  227: 
  228: # This target rebuilds a PO file if $(DOMAIN).pot has changed.
  229: # Note that a PO file is not touched if it doesn't need to be changed.
  230: $(POFILES): $(POFILESDEPS)
  231: 	@lang=`echo $@ | sed -e 's,.*/,,' -e 's/\.po$$//'`; \
  232: 	if test -f "$(srcdir)/$${lang}.po"; then \
  233: 	  test -f $(srcdir)/$(DOMAIN).pot || $(MAKE) $(srcdir)/$(DOMAIN).pot; \
  234: 	  test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
  235: 	  echo "$${cdcmd}$(MSGMERGE_UPDATE) $(MSGMERGE_OPTIONS) --lang=$${lang} $${lang}.po $(DOMAIN).pot"; \
  236: 	  cd $(srcdir) \
  237: 	    && { case `$(MSGMERGE) --version | sed 1q | sed -e 's,^[^0-9]*,,'` in \
  238: 	           '' | 0.[0-9] | 0.[0-9].* | 0.1[0-7] | 0.1[0-7].*) \
  239: 	             $(MSGMERGE_UPDATE) $(MSGMERGE_OPTIONS) $${lang}.po $(DOMAIN).pot;; \
  240: 	           *) \
  241: 	             $(MSGMERGE_UPDATE) $(MSGMERGE_OPTIONS) --lang=$${lang} $${lang}.po $(DOMAIN).pot;; \
  242: 	         esac; \
  243: 	       }; \
  244: 	else \
  245: 	  $(MAKE) $${lang}.po-create; \
  246: 	fi
  247: 
  248: 
  249: install: install-exec install-data
  250: install-exec:
  251: install-data: install-data-@USE_NLS@
  252: 	if test "$(PACKAGE)" = "gettext-tools"; then \
  253: 	  $(mkdir_p) $(DESTDIR)$(gettextsrcdir); \
  254: 	  for file in $(DISTFILES.common) Makevars.template; do \
  255: 	    $(INSTALL_DATA) $(srcdir)/$$file \
  256: 			    $(DESTDIR)$(gettextsrcdir)/$$file; \
  257: 	  done; \
  258: 	  for file in Makevars; do \
  259: 	    rm -f $(DESTDIR)$(gettextsrcdir)/$$file; \
  260: 	  done; \
  261: 	else \
  262: 	  : ; \
  263: 	fi
  264: install-data-no: all
  265: install-data-yes: all
  266: 	@catalogs='$(CATALOGS)'; \
  267: 	for cat in $$catalogs; do \
  268: 	  cat=`basename $$cat`; \
  269: 	  lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
  270: 	  dir=$(localedir)/$$lang/LC_MESSAGES; \
  271: 	  $(mkdir_p) $(DESTDIR)$$dir; \
  272: 	  if test -r $$cat; then realcat=$$cat; else realcat=$(srcdir)/$$cat; fi; \
  273: 	  $(INSTALL_DATA) $$realcat $(DESTDIR)$$dir/$(DOMAIN).mo; \
  274: 	  echo "installing $$realcat as $(DESTDIR)$$dir/$(DOMAIN).mo"; \
  275: 	  for lc in '' $(EXTRA_LOCALE_CATEGORIES); do \
  276: 	    if test -n "$$lc"; then \
  277: 	      if (cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc 2>/dev/null) | grep ' -> ' >/dev/null; then \
  278: 	        link=`cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc | sed -e 's/^.* -> //'`; \
  279: 	        mv $(DESTDIR)$(localedir)/$$lang/$$lc $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
  280: 	        mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
  281: 	        (cd $(DESTDIR)$(localedir)/$$lang/$$lc.old && \
  282: 	         for file in *; do \
  283: 	           if test -f $$file; then \
  284: 	             ln -s ../$$link/$$file $(DESTDIR)$(localedir)/$$lang/$$lc/$$file; \
  285: 	           fi; \
  286: 	         done); \
  287: 	        rm -f $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
  288: 	      else \
  289: 	        if test -d $(DESTDIR)$(localedir)/$$lang/$$lc; then \
  290: 	          :; \
  291: 	        else \
  292: 	          rm -f $(DESTDIR)$(localedir)/$$lang/$$lc; \
  293: 	          mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
  294: 	        fi; \
  295: 	      fi; \
  296: 	      rm -f $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
  297: 	      ln -s ../LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo 2>/dev/null || \
  298: 	      ln $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo 2>/dev/null || \
  299: 	      cp -p $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
  300: 	      echo "installing $$realcat link as $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo"; \
  301: 	    fi; \
  302: 	  done; \
  303: 	done
  304: 
  305: install-strip: install
  306: 
  307: installdirs: installdirs-exec installdirs-data
  308: installdirs-exec:
  309: installdirs-data: installdirs-data-@USE_NLS@
  310: 	if test "$(PACKAGE)" = "gettext-tools"; then \
  311: 	  $(mkdir_p) $(DESTDIR)$(gettextsrcdir); \
  312: 	else \
  313: 	  : ; \
  314: 	fi
  315: installdirs-data-no:
  316: installdirs-data-yes:
  317: 	@catalogs='$(CATALOGS)'; \
  318: 	for cat in $$catalogs; do \
  319: 	  cat=`basename $$cat`; \
  320: 	  lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
  321: 	  dir=$(localedir)/$$lang/LC_MESSAGES; \
  322: 	  $(mkdir_p) $(DESTDIR)$$dir; \
  323: 	  for lc in '' $(EXTRA_LOCALE_CATEGORIES); do \
  324: 	    if test -n "$$lc"; then \
  325: 	      if (cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc 2>/dev/null) | grep ' -> ' >/dev/null; then \
  326: 	        link=`cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc | sed -e 's/^.* -> //'`; \
  327: 	        mv $(DESTDIR)$(localedir)/$$lang/$$lc $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
  328: 	        mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
  329: 	        (cd $(DESTDIR)$(localedir)/$$lang/$$lc.old && \
  330: 	         for file in *; do \
  331: 	           if test -f $$file; then \
  332: 	             ln -s ../$$link/$$file $(DESTDIR)$(localedir)/$$lang/$$lc/$$file; \
  333: 	           fi; \
  334: 	         done); \
  335: 	        rm -f $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
  336: 	      else \
  337: 	        if test -d $(DESTDIR)$(localedir)/$$lang/$$lc; then \
  338: 	          :; \
  339: 	        else \
  340: 	          rm -f $(DESTDIR)$(localedir)/$$lang/$$lc; \
  341: 	          mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
  342: 	        fi; \
  343: 	      fi; \
  344: 	    fi; \
  345: 	  done; \
  346: 	done
  347: 
  348: # Define this as empty until I found a useful application.
  349: installcheck:
  350: 
  351: uninstall: uninstall-exec uninstall-data
  352: uninstall-exec:
  353: uninstall-data: uninstall-data-@USE_NLS@
  354: 	if test "$(PACKAGE)" = "gettext-tools"; then \
  355: 	  for file in $(DISTFILES.common) Makevars.template; do \
  356: 	    rm -f $(DESTDIR)$(gettextsrcdir)/$$file; \
  357: 	  done; \
  358: 	else \
  359: 	  : ; \
  360: 	fi
  361: uninstall-data-no:
  362: uninstall-data-yes:
  363: 	catalogs='$(CATALOGS)'; \
  364: 	for cat in $$catalogs; do \
  365: 	  cat=`basename $$cat`; \
  366: 	  lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
  367: 	  for lc in LC_MESSAGES $(EXTRA_LOCALE_CATEGORIES); do \
  368: 	    rm -f $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
  369: 	  done; \
  370: 	done
  371: 
  372: check: all
  373: 
  374: info dvi ps pdf html tags TAGS ctags CTAGS ID:
  375: 
  376: mostlyclean:
  377: 	rm -f remove-potcdate.sed
  378: 	rm -f stamp-poT
  379: 	rm -f core core.* $(DOMAIN).po $(DOMAIN).1po $(DOMAIN).2po *.new.po
  380: 	rm -fr *.o
  381: 
  382: clean: mostlyclean
  383: 
  384: distclean: clean
  385: 	rm -f Makefile Makefile.in POTFILES *.mo
  386: 
  387: maintainer-clean: distclean
  388: 	@echo "This command is intended for maintainers to use;"
  389: 	@echo "it deletes files that may require special tools to rebuild."
  390: 	rm -f stamp-po $(GMOFILES)
  391: 
  392: distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)
  393: dist distdir:
  394: 	test -z "$(DISTFILESDEPS)" || $(MAKE) $(DISTFILESDEPS)
  395: 	@$(MAKE) dist2
  396: # This is a separate target because 'update-po' must be executed before.
  397: dist2: stamp-po $(DISTFILES)
  398: 	dists="$(DISTFILES)"; \
  399: 	if test "$(PACKAGE)" = "gettext-tools"; then \
  400: 	  dists="$$dists Makevars.template"; \
  401: 	fi; \
  402: 	if test -f $(srcdir)/$(DOMAIN).pot; then \
  403: 	  dists="$$dists $(DOMAIN).pot stamp-po"; \
  404: 	fi; \
  405: 	if test -f $(srcdir)/ChangeLog; then \
  406: 	  dists="$$dists ChangeLog"; \
  407: 	fi; \
  408: 	for i in 0 1 2 3 4 5 6 7 8 9; do \
  409: 	  if test -f $(srcdir)/ChangeLog.$$i; then \
  410: 	    dists="$$dists ChangeLog.$$i"; \
  411: 	  fi; \
  412: 	done; \
  413: 	if test -f $(srcdir)/LINGUAS; then dists="$$dists LINGUAS"; fi; \
  414: 	for file in $$dists; do \
  415: 	  if test -f $$file; then \
  416: 	    cp -p $$file $(distdir) || exit 1; \
  417: 	  else \
  418: 	    cp -p $(srcdir)/$$file $(distdir) || exit 1; \
  419: 	  fi; \
  420: 	done
  421: 
  422: update-po: Makefile
  423: 	$(MAKE) $(DOMAIN).pot-update
  424: 	test -z "$(UPDATEPOFILES)" || $(MAKE) $(UPDATEPOFILES)
  425: 	$(MAKE) update-gmo
  426: 
  427: # General rule for creating PO files.
  428: 
  429: .nop.po-create:
  430: 	@lang=`echo $@ | sed -e 's/\.po-create$$//'`; \
  431: 	echo "File $$lang.po does not exist. If you are a translator, you can create it through 'msginit'." 1>&2; \
  432: 	exit 1
  433: 
  434: # General rule for updating PO files.
  435: 
  436: .nop.po-update:
  437: 	@lang=`echo $@ | sed -e 's/\.po-update$$//'`; \
  438: 	if test "$(PACKAGE)" = "gettext-tools" && test "$(CROSS_COMPILING)" != "yes"; then PATH=`pwd`/../src:$$PATH; fi; \
  439: 	tmpdir=`pwd`; \
  440: 	echo "$$lang:"; \
  441: 	test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
  442: 	echo "$${cdcmd}$(MSGMERGE) $(MSGMERGE_OPTIONS) --lang=$$lang $$lang.po $(DOMAIN).pot -o $$lang.new.po"; \
  443: 	cd $(srcdir); \
  444: 	if { case `$(MSGMERGE) --version | sed 1q | sed -e 's,^[^0-9]*,,'` in \
  445: 	       '' | 0.[0-9] | 0.[0-9].* | 0.1[0-7] | 0.1[0-7].*) \
  446: 	         $(MSGMERGE) $(MSGMERGE_OPTIONS) -o $$tmpdir/$$lang.new.po $$lang.po $(DOMAIN).pot;; \
  447: 	       *) \
  448: 	         $(MSGMERGE) $(MSGMERGE_OPTIONS) --lang=$$lang -o $$tmpdir/$$lang.new.po $$lang.po $(DOMAIN).pot;; \
  449: 	     esac; \
  450: 	   }; then \
  451: 	  if cmp $$lang.po $$tmpdir/$$lang.new.po >/dev/null 2>&1; then \
  452: 	    rm -f $$tmpdir/$$lang.new.po; \
  453: 	  else \
  454: 	    if mv -f $$tmpdir/$$lang.new.po $$lang.po; then \
  455: 	      :; \
  456: 	    else \
  457: 	      echo "msgmerge for $$lang.po failed: cannot move $$tmpdir/$$lang.new.po to $$lang.po" 1>&2; \
  458: 	      exit 1; \
  459: 	    fi; \
  460: 	  fi; \
  461: 	else \
  462: 	  echo "msgmerge for $$lang.po failed!" 1>&2; \
  463: 	  rm -f $$tmpdir/$$lang.new.po; \
  464: 	fi
  465: 
  466: $(DUMMYPOFILES):
  467: 
  468: update-gmo: Makefile $(GMOFILES)
  469: 	@:
  470: 
  471: # Recreate Makefile by invoking config.status. Explicitly invoke the shell,
  472: # because execution permission bits may not work on the current file system.
  473: # Use @SHELL@, which is the shell determined by autoconf for the use by its
  474: # scripts, not $(SHELL) which is hardwired to /bin/sh and may be deficient.
  475: Makefile: Makefile.in.in Makevars $(top_builddir)/config.status @POMAKEFILEDEPS@
  476: 	cd $(top_builddir) \
  477: 	  && @SHELL@ ./config.status $(subdir)/$@.in po-directories
  478: 
  479: force:
  480: 
  481: # Tell versions [3.59,3.63) of GNU make not to export all variables.
  482: # Otherwise a system limit (for SysV at least) may be exceeded.
  483: .NOEXPORT:

FreeBSD-CVSweb <freebsd-cvsweb@FreeBSD.org>